# TTTT Analysis: fv::Value< T > Class Template Reference

fv::Value< T > Class Template Referenceabstract

A generic value. More...

`#include <value.hpp>`

Inheritance diagram for fv::Value< T >:
[legend]
Collaboration diagram for fv::Value< T >:
[legend]

## Public Member Functions

| Value (const std::string &name, const std::string &alias="")
virtual T & | get_value ()=0
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::GenValue
| GenValue (const std::string &name, const std::string &alias)
const std::string & | get_name ()

## Additional Inherited Members

Static Public Member Functions inherited from fv::GenValue
static void | reset ()
static GenValue * | get_value (const std::string &name)
static void | alias (const std::string &name, GenValue *value)
static GenValue * | alias (const std::string &name)
static std::string | summary ()
Protected Member Functions inherited from fv::GenValue
virtual void | _reset ()=0
| Mark the internal value as invalid. More...
virtual void | verify_integrity ()=0
| This function serves to check that this Value has been created with real, i.e. More...
Static Protected Attributes inherited from fv::GenValue
static std::map< const std::string, GenValue * > | values
| A static mapping containing all created Value objects. More...
static std::map< const std::string, GenValue * > | aliases
| Composite value names are typically nested. More...

## Detailed Description

### template<typename T>
class fv::Value< T >

A generic value.

In order to facilitate run-time creation of analysis routines, it is necessary to have some ability to get and store values. Values can either be directly taken from some original data source (i.e. ObservedValue), or they can be a function of some other set of values (i.e. DerivedValue). They template class T of Value<T> is the type of thing that is returned upon calling get_value().

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/value.hpp